using System.Xml.Linq;

namespace CoverageFramework.Operator.Generator.Python
{
	public class StatementCoverageGeneratorForPython : ITaggedXElementGenerator
	{
		#region ITaggedXElementGenerator メンバ

		public XElement[] Generate(string tag)
		{
			return new[] {
				new XElement("power",
					new XElement("atom",
						new XElement("NAME", "CovMan")),
					new XElement("trailer",
						new XElement("DOT", "."),
						new XElement("NAME", "statement")),
					new XElement("trailer",
						new XElement("LPAR", "("),
						new XElement("atom",
							new XElement("STRING", '"' + tag + '"')),
						new XElement("RPAR", ")"))),
				new XElement("SEMI", ";"),
			};
		}

		#endregion
	}
}